import * as rules from './rules.gen.js';
const allRules = new Map();
function register(prototype) {
    allRules.set(prototype.id, prototype);
}
Object.values(rules).forEach(rule => {
    if (rule)
        register(rule);
});
export { allRules };
